Index: /quintagroup.transmogrifier.pfm2pfg/trunk/quintagroup/transmogrifier/pfm2pfg/configure.zcml
===================================================================
--- /quintagroup.transmogrifier.pfm2pfg/trunk/quintagroup/transmogrifier/pfm2pfg/configure.zcml	(revision 1495)
+++ /quintagroup.transmogrifier.pfm2pfg/trunk/quintagroup/transmogrifier/pfm2pfg/configure.zcml	(revision 1496)
@@ -4,5 +4,5 @@
     xmlns:zcml="http://namespaces.zope.org/zcml"
     xmlns:transmogrifier="http://namespaces.plone.org/transmogrifier"
-    i18n_domain="quintagroup.pfm2pfg">
+    i18n_domain="quintagroup.transmogrifier.pfm2pfg">
 
     <include package="quintagroup.transmogrifier" file="meta.zcml" />
Index: /quintagroup.transmogrifier.pfm2pfg/trunk/quintagroup/transmogrifier/pfm2pfg/formgen.zcml
===================================================================
--- /quintagroup.transmogrifier.pfm2pfg/trunk/quintagroup/transmogrifier/pfm2pfg/formgen.zcml	(revision 1495)
+++ /quintagroup.transmogrifier.pfm2pfg/trunk/quintagroup/transmogrifier/pfm2pfg/formgen.zcml	(revision 1496)
@@ -5,5 +5,6 @@
     <!-- FormFolder adapter -->
     <adapter
-        for="Products.PloneFormGen.interfaces.IPloneFormGenForm"
+        for="Products.PloneFormGen.interfaces.IPloneFormGenForm
+            collective.transmogrifier.interfaces.ITransmogrifier"
         factory=".importing.FormFolderImporter"
         name="marshall"
Index: /quintagroup.transmogrifier.pfm2pfg/trunk/quintagroup/transmogrifier/pfm2pfg/importing.py
===================================================================
--- /quintagroup.transmogrifier.pfm2pfg/trunk/quintagroup/transmogrifier/pfm2pfg/importing.py	(revision 1495)
+++ /quintagroup.transmogrifier.pfm2pfg/trunk/quintagroup/transmogrifier/pfm2pfg/importing.py	(revision 1496)
@@ -59,5 +59,5 @@
     implements(IImportDataCorrector)
 
-    def __init__(self, context):
+    def __init__(self, context, transmogrifier):
         self.context = context
         self.demarshaller = getComponent("atxml")
@@ -68,5 +68,4 @@
         data = super(FormFolderImporter, self).__call__(data)
         xml = data['data']
-
         data['data'] = self.transformWithMinidom(xml)
 
@@ -225,6 +224,4 @@
         except ConflictError:
             raise
-        except Exception, e:
-            return
 
     def createFieldset(self, title):
Index: /quintagroup.transmogrifier.pfm2pfg/trunk/quintagroup/transmogrifier/pfm2pfg/tests/test_export.py
===================================================================
--- /quintagroup.transmogrifier.pfm2pfg/trunk/quintagroup/transmogrifier/pfm2pfg/tests/test_export.py	(revision 1495)
+++ /quintagroup.transmogrifier.pfm2pfg/trunk/quintagroup/transmogrifier/pfm2pfg/tests/test_export.py	(revision 1496)
@@ -7,26 +7,35 @@
 from Products.Marshall.registry import getComponent
 
-from quintagroup.transmogrifier.pfm2pfg.exporting import PloneFormMailerExporter
+try:
+    import Products.PloneFormMailer
+    HAS_PFM = True
+except ImportError:
+    HAS_PFM = False
 
-ZopeTestCase.installProduct('Formulator')
-ZopeTestCase.installProduct('MimetypesRegistry')
-ZopeTestCase.installProduct('PortalTransforms')
-ZopeTestCase.installProduct('Archetypes')
-ZopeTestCase.installProduct('PloneFormMailer')
-ZopeTestCase.installProduct('TALESField')
+# next condition is required, because a test preparation
+# raises errors on Plone 3+
+if HAS_PFM:
+    from quintagroup.transmogrifier.pfm2pfg.exporting import PloneFormMailerExporter
 
-def setupPloneFormMailerTestCase(app, quiet=0):
-    get_transaction().begin()
-    _start = time.time()
-    if not quiet:
-        ZopeTestCase._print('Adding PloneFormMailer ... ')
-    app.portal.portal_quickinstaller.installProduct('PloneFormMailer')
-    get_transaction().commit()
-    if not quiet:
-        ZopeTestCase._print('done (%.3fs)\n' % (time.time()-_start,))
+    ZopeTestCase.installProduct('Formulator')
+    ZopeTestCase.installProduct('MimetypesRegistry')
+    ZopeTestCase.installProduct('PortalTransforms')
+    ZopeTestCase.installProduct('Archetypes')
+    ZopeTestCase.installProduct('PloneFormMailer')
+    ZopeTestCase.installProduct('TALESField')
 
-app = ZopeTestCase.app()
-setupPloneFormMailerTestCase(app, quiet=True)
-ZopeTestCase.close(app)
+    def setupPloneFormMailerTestCase(app, quiet=0):
+        get_transaction().begin()
+        _start = time.time()
+        if not quiet:
+            ZopeTestCase._print('Adding PloneFormMailer ... ')
+        app.portal.portal_quickinstaller.installProduct('PloneFormMailer')
+        get_transaction().commit()
+        if not quiet:
+            ZopeTestCase._print('done (%.3fs)\n' % (time.time()-_start,))
+
+    app = ZopeTestCase.app()
+    setupPloneFormMailerTestCase(app, quiet=True)
+    ZopeTestCase.close(app)
 
 class TestExport(PloneTestCase):
Index: /quintagroup.transmogrifier.pfm2pfg/trunk/quintagroup/transmogrifier/pfm2pfg/tests/test_import.zcml
===================================================================
--- /quintagroup.transmogrifier.pfm2pfg/trunk/quintagroup/transmogrifier/pfm2pfg/tests/test_import.zcml	(revision 1495)
+++ /quintagroup.transmogrifier.pfm2pfg/trunk/quintagroup/transmogrifier/pfm2pfg/tests/test_import.zcml	(revision 1496)
@@ -1,5 +1,6 @@
 <configure
     xmlns="http://namespaces.zope.org/zope"
-    xmlns:transmogrifier="http://namespaces.plone.org/transmogrifier">
+    xmlns:transmogrifier="http://namespaces.plone.org/transmogrifier"
+    i18n_domain="quintagroup.transmogrifier.pfm2pfg">
 
     <utility