Index: /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/browser/views.py
===================================================================
--- /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/browser/views.py	(revision 1505)
+++ /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/browser/views.py	(revision 1506)
@@ -25,8 +25,8 @@
 
 class SEOContext( BrowserView ):
-    """
+    """ This class contains methods that allows to edit html header meta tags.
     """
     def getSEOProperty( self, property_name, accessor='' ):
-        """
+        """ Get value from seo property by property name.
         """
         context = aq_inner(self.context)
@@ -49,10 +49,10 @@
 
     def seo_title( self ):
-        """
+        """ Generate SEO Title from SEO properties.
         """
         return self.getSEOProperty( 'qSEO_title', accessor='Title' )
 
     def seo_robots( self ):
-        """
+        """ Generate SEO Robots from SEO properties.
         """
         robots = self.getSEOProperty( 'qSEO_robots' )
@@ -60,6 +60,5 @@
 
     def seo_description( self ):
-        """
-            Generate Description from SEO properties 
+        """ Generate Description from SEO properties.
         """
 
@@ -67,6 +66,5 @@
 
     def seo_distribution( self ):
-        """
-           Generate Description from SEO properties
+        """ Generate Distribution from SEO properties.
         """
         dist = self.getSEOProperty( 'qSEO_distribution' )
@@ -75,5 +73,6 @@
 
     def seo_customMetaTags( self ):
-        """
+        """        Returned seo custom metatags from default_custom_metatags property in seo_properties
+        (global seo custom metatags) with update from seo custom metatags properties in context (local seo custom metatags).
         """
         tags = self.seo_globalCustomMetaTags()
@@ -92,5 +91,6 @@
 
     def seo_globalWithoutLocalCustomMetaTags( self ):
-        """
+        """        Returned seo custom metatags from default_custom_metatags property in seo_properties
+        (global seo custom metatags) without seo custom metatags from properties in context (local seo custom metatags).
         """
         glob = self.seo_globalCustomMetaTags()
@@ -104,5 +104,5 @@
 
     def seo_localCustomMetaTags( self ):
-        """
+        """ Returned seo custom metatags from properties in context (local seo custom metatags).
         """
         result = []
@@ -116,5 +116,5 @@
 
     def seo_globalCustomMetaTags( self ):
-        """
+        """ Returned seo custom metatags from default_custom_metatags property in seo_properties.
         """
         result = []
@@ -136,5 +136,5 @@
 
     def seo_html_comment( self ):
-        """
+        """ Generate HTML Comments from SEO properties.
         """
         html_comment = self.getSEOProperty( 'qSEO_html_comment' )
@@ -142,8 +142,6 @@
 
     def seo_keywords( self ):
-        """
-           Generate Keywords from SEO properties
-        """
-
+        """ Generate Keywords from SEO properties.
+        """
         prop_name = 'qSEO_keywords'
         add_keywords = 'additional_keywords'
@@ -176,6 +174,5 @@
 
     def seo_canonical( self ):
-        """
-           Get canonical URL
+        """ Generate canonical URL from SEO properties.
         """
         canonical = self.getSEOProperty( 'qSEO_canonical' )
@@ -192,5 +189,5 @@
 
 class SEOControlPanel( ControlPanelView ):
-    """
+    """ The class with methods configuration Search Engine Optimizer in configlet.
     """
     template = ViewPageTemplateFile('templates/seo_controlpanel.pt')
@@ -205,5 +202,5 @@
     @property
     def portal_types( self ):
-        """
+        """ Returned a list of portal types.
         """
         context = aq_inner(self.context)
@@ -221,5 +218,5 @@
 
     def getExposeDCMetaTags( self ):
-        """
+        """ Get value from exposeDCMetaTags property in seo_properties.
         """
         sp = self.portal_properties.site_properties
@@ -227,5 +224,5 @@
 
     def getDefaultCustomMetatags( self ):
-        """
+        """ Get values from default_custom_metatags property in seo_properties.
         """
         seo = self.portal_properties.seo_properties
@@ -233,5 +230,5 @@
 
     def getMetaTagsOrder( self ):
-        """
+        """ Get values from metatags_order property in seo_properties.
         """
         seo = self.portal_properties.seo_properties
@@ -239,5 +236,5 @@
 
     def getAdditionalKeywords( self ):
-        """
+        """ Get values from additional_keywords property in seo_properties.
         """
         seo = self.portal_properties.seo_properties
@@ -255,5 +252,5 @@
 
     def __call__( self ):
-        """
+        """ Perform the update and redirect if necessary, or render the page.
         """
         context = aq_inner(self.context)
@@ -300,5 +297,5 @@
 
     def typeInfo( self, type_name ):
-        """
+        """ Get info type by type name.
         """
         return self.portal_types.getTypeInfo( type_name )
@@ -306,5 +303,5 @@
 
 class SEOContextPropertiesView( BrowserView ):
-    """
+    """ This class contains methods that allows to manage seo properties.
     """
     template = ViewPageTemplateFile('templates/seo_context_properties.pt')
@@ -316,4 +313,6 @@
 
     def getMainDomain(self, url):
+        """ Get a main domain.
+        """
         url = url.split('//')[-1]
         dompath = url.split(':')[0]
@@ -322,7 +321,10 @@
 
     def validateSEOProperty(self, property, value):
+        """ Validate a seo property.
+        """
         purl = getToolByName(self.context, 'portal_url')()
         state = ''
         if property == PROP_PREFIX+'canonical':
+            # validate seo canonical url property
             pdomain = self.getMainDomain(purl)
             if not pdomain == self.getMainDomain(value):
@@ -331,4 +333,8 @@
 
     def setProperty(self, property, value, type='string'):
+        """ Add a new property.
+
+        Sets a new property with the given id, value and type or changes it.
+        """
         context = aq_inner(self.context)
         state = self.validateSEOProperty(property, value)
@@ -341,4 +347,6 @@
 
     def manageSEOProps(self, **kw):
+        """ Manage seo properties.
+        """
         context = aq_inner(self.context)
         state = ''
@@ -368,4 +376,6 @@
 
     def setSEOCustomMetaTags(self, custommetatags):
+        """ Set seo custom metatags properties.
+        """
         context = aq_inner(self.context)
         for tag in custommetatags:
@@ -373,4 +383,6 @@
 
     def delAllSEOCustomMetaTagsProperties(self):
+        """ Delete all seo custom metatags properties.
+        """
         context = aq_inner(self.context)
         delete_list = []
@@ -382,4 +394,6 @@
 
     def updateSEOCustomMetaTagsProperties(self, custommetatags):
+        """ Update seo custom metatags properties.
+        """
         context = aq_inner(self.context)
         site_properties = getToolByName(context, 'portal_properties')
@@ -399,4 +413,9 @@
 
     def manageSEOCustomMetaTagsProperties(self, **kw):
+        """ Update seo custom metatags properties, if enabled checkbox override or delete properties.
+
+        Change object properties by passing either a mapping object
+        of name:value pairs {'foo':6} or passing name=value parameters.
+        """
         context = aq_inner(self.context)
         self.delAllSEOCustomMetaTagsProperties()
@@ -406,5 +425,5 @@
 
     def __call__( self ):
-        """
+        """ Perform the update seo properties and redirect if necessary, or render the page Call method.
         """
         context = aq_inner(self.context)