Index: quintagroup.pagetemplateshrink/tags/1.0.1/README.txt
===================================================================
--- quintagroup.pagetemplateshrink/tags/1.0.1/README.txt	(revision 1548)
+++ quintagroup.pagetemplateshrink/tags/1.0.1/README.txt	(revision 1548)
@@ -0,0 +1,4 @@
+Introduction
+============
+
+
Index: quintagroup.pagetemplateshrink/tags/1.0.1/docs/HISTORY.txt
===================================================================
--- quintagroup.pagetemplateshrink/tags/1.0.1/docs/HISTORY.txt	(revision 1548)
+++ quintagroup.pagetemplateshrink/tags/1.0.1/docs/HISTORY.txt	(revision 1548)
@@ -0,0 +1,8 @@
+Changelog
+=========
+
+1.0 - Unreleased
+----------------
+
+* Initial release
+
Index: quintagroup.pagetemplateshrink/tags/1.0.1/quintagroup/__init__.py
===================================================================
--- quintagroup.pagetemplateshrink/tags/1.0.1/quintagroup/__init__.py	(revision 1548)
+++ quintagroup.pagetemplateshrink/tags/1.0.1/quintagroup/__init__.py	(revision 1548)
@@ -0,0 +1,6 @@
+# See http://peak.telecommunity.com/DevCenter/setuptools#namespace-packages
+try:
+    __import__('pkg_resources').declare_namespace(__name__)
+except ImportError:
+    from pkgutil import extend_path
+    __path__ = extend_path(__path__, __name__)
Index: quintagroup.pagetemplateshrink/tags/1.0.1/quintagroup/pagetemplateshrink/README.txt
===================================================================
--- quintagroup.pagetemplateshrink/tags/1.0.1/quintagroup/pagetemplateshrink/README.txt	(revision 1548)
+++ quintagroup.pagetemplateshrink/tags/1.0.1/quintagroup/pagetemplateshrink/README.txt	(revision 1548)
@@ -0,0 +1,14 @@
+quintagroup.pagetemplateshrink Package Readme
+=========================
+
+Overview
+--------
+
+Pagetemplates monkeyatch to shrink rendered HTML
+
+
+Your tests here
+---------------
+
+    >>> 1 + 1
+    3
Index: quintagroup.pagetemplateshrink/tags/1.0.1/quintagroup/pagetemplateshrink/__init__.py
===================================================================
--- quintagroup.pagetemplateshrink/tags/1.0.1/quintagroup/pagetemplateshrink/__init__.py	(revision 1548)
+++ quintagroup.pagetemplateshrink/tags/1.0.1/quintagroup/pagetemplateshrink/__init__.py	(revision 1548)
@@ -0,0 +1,40 @@
+from zope.tal.htmltalparser import HTMLTALParser
+from zope.tal.talgenerator import TALGenerator
+from zope.tal.talparser import TALParser
+from zope.pagetemplate import pagetemplate
+
+import re
+expression = re.compile('[ \n\f\r]+(?=</?(?:me)?tal)')
+expression2 = re.compile('\n\s*\n+(?= *<)')
+
+def cook(self):
+    """Compile the TAL and METAL statments.
+
+    Cooking must not fail due to compilation errors in templates.
+    """
+    engine = self.pt_getEngine()
+    source_file = self.pt_source_file()
+    if self.content_type == 'text/html':
+        gen = TALGenerator(engine, xml=0, source_file=source_file)
+        parser = HTMLTALParser(gen)
+    else:
+        gen = TALGenerator(engine, source_file=source_file)
+        parser = TALParser(gen)
+
+    self._v_errors = ()
+    try:
+        #### the patch
+        text = self._text
+        text = expression.sub('', text)
+        text = expression2.sub('', text)
+        parser.parseString(text)
+        #parser.parseString(self._text)
+        self._v_program, self._v_macros = parser.getCode()
+    except:
+        self._v_errors = ["Compilation failed",
+                          "%s: %s" % sys.exc_info()[:2]]
+    self._v_warnings = parser.getWarnings()
+    self._v_cooked = 1
+
+pagetemplate.PageTemplate._old_cook = pagetemplate.PageTemplate._cook
+pagetemplate.PageTemplate._cook = cook
Index: quintagroup.pagetemplateshrink/tags/1.0.1/quintagroup/pagetemplateshrink/configure.zcml
===================================================================
--- quintagroup.pagetemplateshrink/tags/1.0.1/quintagroup/pagetemplateshrink/configure.zcml	(revision 1548)
+++ quintagroup.pagetemplateshrink/tags/1.0.1/quintagroup/pagetemplateshrink/configure.zcml	(revision 1548)
@@ -0,0 +1,5 @@
+<configure
+    xmlns="http://namespaces.zope.org/zope"
+    xmlns:five="http://namespaces.zope.org/five">
+
+</configure>
Index: quintagroup.pagetemplateshrink/tags/1.0.1/setup.cfg
===================================================================
--- quintagroup.pagetemplateshrink/tags/1.0.1/setup.cfg	(revision 1548)
+++ quintagroup.pagetemplateshrink/tags/1.0.1/setup.cfg	(revision 1548)
@@ -0,0 +1,3 @@
+[egg_info]
+tag_build = dev
+tag_svn_revision = true
Index: quintagroup.pagetemplateshrink/tags/1.0.1/setup.py
===================================================================
--- quintagroup.pagetemplateshrink/tags/1.0.1/setup.py	(revision 1548)
+++ quintagroup.pagetemplateshrink/tags/1.0.1/setup.py	(revision 1548)
@@ -0,0 +1,32 @@
+from setuptools import setup, find_packages
+import os
+
+version = '1.0.1'
+
+setup(name='quintagroup.pagetemplateshrink',
+      version=version,
+      description="Pagetemplates monkeypatch to shrink rendered HTML",
+      long_description=open("README.txt").read() + "\n" +
+                       open(os.path.join("docs", "HISTORY.txt")).read(),
+      # Get more strings from http://www.python.org/pypi?%3Aaction=list_classifiers
+      classifiers=[
+        "Programming Language :: Python",
+        "Topic :: Software Development :: Libraries :: Python Modules",
+        ],
+      keywords='',
+      author='Volodymyr Cherepanyak',
+      author_email='support@quintagroup.com',
+      url='http://www.quintagroup.com',
+      license='GPL',
+      packages=find_packages(exclude=['ez_setup']),
+      namespace_packages=['quintagroup'],
+      include_package_data=True,
+      zip_safe=False,
+      install_requires=[
+          'setuptools',
+          # -*- Extra requirements: -*-
+      ],
+      entry_points="""
+      # -*- Entry points: -*-
+      """,
+      )