Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/browser/comments.pt
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/browser/comments.pt	(revision 1630)
+++ quintagroup.plonecomments/trunk/quintagroup/plonecomments/browser/comments.pt	(revision 1631)
@@ -2,4 +2,7 @@
                    isDiscussionAllowed view/is_discussion_allowed;
                    replies view/get_replies;
+                   here_url context/@@plone_context_state/object_url;
+                   current_page_url context/@@plone_context_state/current_page_url;
+                   member context/@@plone_portal_state/member;
                    isAnon view/is_anonymous;
                    ifModerate view/is_moderation_enabled;
@@ -9,5 +12,4 @@
                    isAnonymousReportAbuseEnabled view/anonymous_report_abuse_enabled;
                    isReportAbuseEnabled python:isAnonymousReportAbuseEnabled or not isAnon and isAuthenticatedReportAbuseEnabled;
-                   foo context/@@plone/globalize;
                    props_sheet here/portal_properties/qPloneComments;
                    require_email python:props_sheet.getProperty('require_email');"
Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/discussion_edit_form.cpt
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/discussion_edit_form.cpt	(revision 1630)
+++ quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/discussion_edit_form.cpt	(revision 1631)
@@ -12,4 +12,14 @@
 <div metal:fill-slot="main"
      tal:define="errors options/state/getErrors;
+                 putils context/plone_utils;
+                 toLocalizedTime nocall:context/@@plone/toLocalizedTime;
+                 portal context/@@plone_portal_state/portal;
+                 here_url context/@@plone_context_state/object_url;
+                 current_page_url context/@@plone_context_state/current_page_url;
+                 isAnon context/@@plone_portal_state/anonymous;
+                 member context/@@plone_portal_state/member;
+                 template_id template/getId;
+                 Iterator python:modules['Products.CMFPlone'].IndexIterator;
+                 tabindex python:Iterator(mainSlot=False);
                  thread python:putils.getDiscussionThread(here);
                  discussable python:thread[0];
Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/discussion_reply_form.cpt
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/discussion_reply_form.cpt	(revision 1630)
+++ quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/discussion_reply_form.cpt	(revision 1631)
@@ -14,4 +14,12 @@
 <div metal:fill-slot="main"
      tal:define="errors options/state/getErrors;
+                 putils context/plone_utils;
+                 toLocalizedTime nocall:context/@@plone/toLocalizedTime;
+                 portal context/@@plone_portal_state/portal;
+                 here_url context/@@plone_context_state/object_url;
+                 current_page_url context/@@plone_context_state/current_page_url;
+                 isAnon context/@@plone_portal_state/anonymous;
+                 member context/@@plone_portal_state/member;
+                 template_id template/getId;
                  thread python:putils.getDiscussionThread(here);
                  discussable python:thread[0];
@@ -105,5 +113,5 @@
                     <div class="formHelp" i18n:translate="help_name"
                          i18n:domain="quintagroup.plonecomments">
-                        Tell us your name.
+                        Please enter your name.
                     </div>
 
@@ -135,5 +143,5 @@
                     <div class="formHelp" i18n:translate="help_email"
                          i18n:domain="quintagroup.plonecomments">
-                        Enter your e-mail address.
+                        Please enter your e-mail address.
                     </div>
 
@@ -152,7 +160,8 @@
                     </dt>
                     <dd i18n:translate="legend_note_reply_anonymous">
-                        You are not logged in. You may optionally enter your
-                        username and password below. If you don't enter anything,
-                        this comment will be posted as 'Anonymous User'.
+                        Note: you are not logged in. You may optionally enter your
+                        username and password below. If you don't enter your
+                        username and password below, this comment will be posted as
+                        the 'Anonymous User'.
                     </dd>
                 </dl>
Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt	(revision 1630)
+++ quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt	(revision 1631)
@@ -8,5 +8,8 @@
 
 <div metal:fill-slot="prefs_configlet_main"
-     tal:define="errors python:request.get('controller_state', None).getErrors();">
+     tal:define="here_url context/@@plone_context_state/object_url;
+                 Iterator python:modules['Products.CMFPlone'].IndexIterator;
+                 tabindex python:Iterator(mainSlot=False);
+                 errors python:request.get('controller_state', None).getErrors();">
 
     <div metal:define-macro="main">
@@ -22,7 +25,7 @@
         </li>
 
-        <li class="">
+        <li class=""
+            tal:condition="python:checkPermission('Moderate Discussion', here)">
         <a href=""
-           tal:condition="python:checkPermission('Moderate Discussion', here)"
            tal:attributes="href string:prefs_recent_comments_form"
            i18n:translate="label_comments">Recent comments moderation</a>
Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_recent_comments_form.cpt
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_recent_comments_form.cpt	(revision 1630)
+++ quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_recent_comments_form.cpt	(revision 1631)
@@ -8,5 +8,8 @@
 
 <div metal:fill-slot="prefs_configlet_main"
-     tal:define="errors python:request.get('controller_state', None).getErrors();">
+     tal:define="here_url context/@@plone_context_state/object_url;
+                 Iterator python:modules['Products.CMFPlone'].IndexIterator;
+                 tabindex python:Iterator(mainSlot=False);
+                 errors python:request.get('controller_state', None).getErrors();">
 
     <div metal:define-macro="main">
@@ -21,5 +24,6 @@
         </li>
 
-        <li class="selected">
+        <li class="selected"
+            tal:condition="python:checkPermission('Moderate Discussion', here)">
         <a href=""
         tal:attributes="href string:${template/id}"
Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt	(revision 1630)
+++ quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt	(revision 1631)
@@ -14,4 +14,13 @@
         <div metal:fill-slot="main"
             tal:define="errors options/state/getErrors;
+                        putils context/plone_utils;
+                        portal context/@@plone_portal_state/portal;
+                        toLocalizedTime nocall:context/@@plone/toLocalizedTime;
+                        here_url context/@@plone_context_state/object_url;
+                        template_id template/getId;
+                        Iterator python:modules['Products.CMFPlone'].IndexIterator;
+                        tabindex python:Iterator(mainSlot=False);
+                        isAnon context/@@plone_portal_state/anonymous;
+                        member context/@@plone_portal_state/member;
                         thread python:putils.getDiscussionThread(here);
                         discussable python:thread[0];
@@ -108,5 +117,5 @@
                                                 tal:define="error errors/creator|nothing"
                                                 tal:attributes="class python:error and 'field error' or 'field'">
-                                                <label for="creator" i18n:translate="label_creator">
+                                                <label for="creator" i18n:translate="label_name">
                                                     Name
                                                 </label>
@@ -114,6 +123,6 @@
                                                         i18n:attributes="title title_required;"
                                                         i18n:translate="label_required">(Required)</span>
-                                                <div class="formHelp" i18n:translate="help_creator">
-                                                    Please enter your full name
+                                                <div class="formHelp" i18n:translate="help_name" i18n:domain="quintagroup.plonecomments">
+                                                    Please enter your name.
                                                 </div>
                                                 <div tal:content="error">Validation error output</div>
@@ -135,6 +144,7 @@
                                                         i18n:attributes="title title_required;"
                                                         i18n:translate="label_required">(Required)</span>
-                                                <div class="formHelp" i18n:translate="help_email">
-                                                    Please enter your e-mail address
+                                                <div class="formHelp" i18n:translate="help_email"
+                                                     i18n:domain="quintagroup.plonecomments">
+                                                    Please enter your e-mail address.
                                                 </div>
                                                 <div tal:content="error">Validation error output</div>